Bug Hunting Session
Bug 50901 - Characters per line value is not changed after enabling header/footer in vertical text mode
Summary: Characters per line value is not changed after enabling header/footer in vert...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CJK Vertical-Text Text-Grid
  Show dependency treegraph
 
Reported: 2012-06-08 18:18 UTC by ikuya
Modified: 2019-05-14 02:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
before footer is on. (225.34 KB, image/png)
2012-06-08 18:18 UTC, ikuya
Details
footer is on. (247.83 KB, image/png)
2012-06-08 18:19 UTC, ikuya
Details
sample document (21.82 KB, application/vnd.oasis.opendocument.text)
2012-06-08 18:20 UTC, ikuya
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ikuya 2012-06-08 18:18:02 UTC
Created attachment 62825 [details]
before footer is on.

How to reploduce:

01. [Tools]-[Options]-[Language Settings]-[Languages]-[Enhanced Language Support]-[Enabled for Asian languages] is on.
02. [Tools]-[Options]-[LibreOffice Writer]-[General]-[Use square page mode for text grid] is on.
03. [Format]-[Page]-[Page]-[Orientation]-[Landscape]
04. [Format]-[Page]-[Page]-[Text direction]-[Right-to-left(vertical)]
05. [Format]-[Page]-[Text Grid]-[Grid]-[Grid (lines and characters)]
06. [Characters per line] is [34]. It is correct. (screenshot1)
07. click OK

When header/footer turns enable, characters per line decreaces from 34 to 32.
But in menu, still remains 34. It is not correct. (screenshot2)
Comment 1 ikuya 2012-06-08 18:19:21 UTC
Created attachment 62826 [details]
footer is on.
Comment 2 ikuya 2012-06-08 18:20:00 UTC
Created attachment 62827 [details]
sample document
Comment 3 bfoman (inactive) 2013-01-09 12:41:17 UTC
(In reply to comment #0)
> When header/footer turns enable, characters per line decreaces from 34 to 32.
> But in menu, still remains 34. It is not correct. (screenshot2)

Confirmed with:
LO 4.0.0.0.beta2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

I enabled header/footer in Page Style window header/footer tabs - got 29 characters per line. On Text Grid tab Characters per line value is unchanged - 34.

So lets rephrase the summary to be more meaningful and mark as NEW.
Comment 4 QA Administrators 2015-02-19 15:40:25 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-07 14:45:41 UTC
Confirmed.

Win 7 Pro 64-bit, LibO Version: 4.4.1.2
Build ID: 45e2de17089c24a1fa810c8f975a7171ba4cd432
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:26:40 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 7 QA Administrators 2019-05-14 02:58:01 UTC
Dear ikuya,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug